<?php
/***************************************************************************
			   موديول معرض الصور لمجلة البوابة العربية
			   برمجة عبقري العرب || موقع دار الاوائل
			www.arabiaone.org (arabgenius@hotmail.com)
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/gallery/config.php");
include("modules/gallery/functions.php");

$member_group = $apt->cookie['cgroup'];
if(!in_array($member_group,$allow_edit)){
$apt->errmsg("عفوا ... انت لا تملك الصلاحيات للتعديل او الموافقه على الصور الجديده");
}else{
$del = $apt->post['del'];
$ok = $apt->post['ok'];
$do = $apt->post['do'];
$active = $apt->post['active'];

if($ok){
if (count($do) > 0)
{
if($del){
	foreach($do as $id)
	{
	$sel = $apt->query("SELECT * FROM rafia_gallery_image WHERE imgid='$id'");
	while($row = $apt->dbarray($sel))
    	{
      @extract($row);
	@unlink("modules/gallery/photos/$imglink");
	@unlink("modules/gallery/thumb/$imglink");
	}
	$apt->query("delete from rafia_gallery_image where imgid='$id'");
	}
		$apt->bodymsg("تم حذف الصور المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض مشاركات تحت الانتظار","mod.php?mod=gallery&modfile=wait");
}elseif($active){
	foreach($do as $id){
	$apt->query("update rafia_gallery_image set allow=1 where imgid='$id'");
	}
		$apt->bodymsg("تم الموافقه على الصور المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض مشاركات تحت الانتظار","mod.php?mod=gallery&modfile=wait");
}
}else{
		$apt->bodymsg("عفوا انت لم تقم باختيار اي صورة<br>سوف ترجع الان الى صفحة عرض مشاركات تحت الانتظار","mod.php?mod=gallery&modfile=wait");
}
}else{
$adm = $apt->get[adm];
$imgid = $apt->get[imgid];
$gid = $apt->get[gid];
if($adm=='activate'){
$apt->query("update rafia_gallery_image set allow=1 where imgid='$imgid'");
$numrowsf = $apt->dbnumquery("rafia_gallery_image","imgcat='$gid' and allow=1");
$apt->query("update rafia_gallery_cat set gcount='$numrowsf' where gid='$gid'");
$apt->bodymsg("تم الموافقه على الصورة المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض مشاركات تحت الانتظار","mod.php?mod=gallery&modfile=wait");
}elseif($adm=='del'){
	$dodel = $apt->query("SELECT * FROM rafia_gallery_image WHERE imgid='$imgid'");
	while($row = $apt->dbarray($dodel))
    	{
      @extract($row);
	@unlink("modules/gallery/photos/$imglink");
	@unlink("modules/gallery/thumb/$imglink");
	}
	$apt->query("delete from rafia_gallery_image where imgid='$imgid'");
	$numrowsf = $apt->dbnumquery("rafia_gallery_image","imgcat='$gid' and allow=1");
	$apt->query("update rafia_gallery_cat set gcount='$numrowsf' where gid='$gid'");
		$apt->bodymsg("تم حذف الصورة المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض مشاركات تحت الانتظار","mod.php?mod=gallery&modfile=wait");
}else{
$page = $apt->get[page];
if(!$page) $page=1;
$end=10; 
$show=3; 
$start=$page*$end-$end; 
if($start < 0) $start=0;

$Cat_Colcount =3;
if($Cat_Colcount < 1 ) $Cat_Colcount = 1;

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");

$category = array();
$result = $apt->query("SELECT gid,gtitle FROM  rafia_gallery_cat");
while(@extract($apt->dbarray($result)))
{
	$category[$gid] = $gtitle;
}


$result = $apt->query("SELECT * FROM rafia_gallery_image where allow=0 ORDER BY imgid DESC LIMIT $start,$end");

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_header', $modid,$mod_theme ) . "\";");
$index_middle .= "
<table border='0' width='100%' align='center' cellpadding='".$Cat_Colcount."'><tr>";
if($apt->dbnumrows($result)== 0){
		$apt->bodymsg("عفوا ... لا يوجد اي صور جديده في الانتظار<br>سوف ترجع الان الى صفحة المعرض الرئيسية","mod.php?mod=gallery");
}else{
while($row = $apt->dbarray($result))
{
@extract($row);

$index_middle .= "<form method=POST name=admin action=mod.php?mod=gallery&modfile=wait>";

$photo = "<img src=\"modules/gallery/thumb/$imglink\" border=0 $imght $imgwt alt=\"$imgtitle\"><br>";
$imgtitle = $apt->format_post($imgtitle);
$imgdesc = $apt->format_post($imgdesc);
$imgdesc = str_replace('\r\n','<br>',$imgdesc);
$member_group = $apt->cookie['cgroup'];
$size = @GetImageSize("modules/gallery/photos/$imglink") ;
$wt = $size[0];
$ht = $size[1];
$imgsize = @filesize("modules/gallery/photos/$imglink");
$imgsize = @intval($imgsize / 1024);
$imgdate = $apt->Hijri($imgdate);
$imgrate	= @round($rate/$rateno,2);
$cat_name = $category[$imgcat];
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_pic_wait', $modid,$mod_theme ) . "\";");

}
}
$index_middle .= "<br>
<input type='button' name='CheckAll' value='تحديد الكل' onclick='checkAll(document.admin)' >
<input type='button' name='UnCheckAll' value='الغاء التحديد' onclick='uncheckAll(document.admin)' >
<br><input type=\"submit\" name=\"del\"  value=\"حـــذف الصور المختارة\" onClick=\"if (!confirm('هل ترغب فعلاً في الحذف؟')) return false;\">
<input type=submit name=active value='تفعيل الصور المختارة'><input type=hidden name=ok value=ok>
</form><script language=Javascript1.2>
function checkAll(field)
{
  for(i = 0; i < field.elements.length; i++)
     field[i].checked = true ;
}
function uncheckAll(field)
{
 for(i = 0; i < field.elements.length; i++)
    field[i].checked = false ;
}
</script>" ;

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_footer', $modid,$mod_theme ) . "\";");
echo $index_middle;

$Sql2 = "select * from rafia_gallery_image where imgcat='$cat'"; 
$user2 = mysql_query($Sql2); 
$rows=mysql_num_rows($user2); 
$links=$rows/$end; 
$lastlink=ceil($links); 

if($rows > $end){
if ($lastlink!=1) {
echo "<b>الصفحات : </b>";
if (($lastlink<=$page+$show and $page-$show>1) or ($page-$show>1) ) { Echo "<a title='أول صفحة' href=mod.php?mod=gallery&modfile=category&cat=$cat&page=1> « </a> ..";} 
if ($page-$show<1) { for ($i=1 ;$i<=$page-1 ;$i++) Echo "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>"; } 
if ($page-$show>=1) { for ($i=$page-$show ;$i<=$page-1 ;$i++) Echo "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>"; } 
if ($lastlink>$page+$show) { Echo "[$page]"; for ($i=$page+1 ;$i<=$page+$show ;$i++) { Echo "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>";}
Echo " .. <a title='آخر صفحة' href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$lastlink> » </a>"; } 
if ($lastlink<=$page+$show) { Echo "[$page]"; for ($i=$page+1 ;$i<=$lastlink ;$i++) Echo "<a href=mod.php?mod=gallery&modfile=category&cat=$cat&page=$i>[$i]</a>"; } 
}
}
}
}
}
?>